Bug 14545 - Typo in help file for 3.20 (stage-marc-import.tt)
Summary: Typo in help file for 3.20 (stage-marc-import.tt)
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Documentation (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Héctor Eduardo Castro Avalos
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-07-16 19:16 UTC by Héctor Eduardo Castro Avalos
Modified: 2016-12-05 21:22 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14545 - Typo in help file (stage-marc-import.tt) (2.38 KB, patch)
2015-07-16 19:40 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 14545 - Typo in help file (stage-marc-import.tt) (2.38 KB, patch)
2015-07-17 19:42 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 14545 - Typo in help file (stage-marc-import.tt) (2.43 KB, patch)
2015-07-19 01:26 UTC, Nick Clemens
Details | Diff | Splinter Review
[PASSED QA] Bug 14545 - Typo in help file (stage-marc-import.tt) (2.50 KB, patch)
2015-07-23 22:33 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Héctor Eduardo Castro Avalos 2015-07-16 19:16:05 UTC
Typo in help file from the new help in Koha 3.20, bug 14424: intranet-tmpl/prog/en/modules/help/tools/stage-marc-import.tt:28


It reads: (The match will look at the itemnumbers and barcodes to match on for items. Itemnumbers take precendence over barcodes),

typo: precendence
Comment 1 Héctor Eduardo Castro Avalos 2015-07-16 19:40:34 UTC Comment hidden (obsolete)
Comment 2 Aleisha Amohia 2015-07-17 01:58:04 UTC
That entire line appears to be deleted from the page when I apply this patch?
Comment 3 Héctor Eduardo Castro Avalos 2015-07-17 19:15:51 UTC
(In reply to Aleisha Amohia from comment #2)
> That entire line appears to be deleted from the page when I apply this patch?

Yes, you're right, I will fix this!

Regards
Comment 4 Héctor Eduardo Castro Avalos 2015-07-17 19:39:38 UTC
Something happened when editing the file:

This is the screen when looking for differences

diff --git a/koha-tmpl/intranet-tmpl/prog/en/modules/help/tools/stage-marc-impor
index 422501b..327230f 100644
--- a/koha-tmpl/intranet-tmpl/prog/en/modules/help/tools/stage-marc-import.tt
+++ b/koha-tmpl/intranet-tmpl/prog/en/modules/help/tools/stage-marc-import.tt
@@ -25,7 +25,7 @@
    <li>Finally choose what to do with records that are unique</li>
    <li>Next you can choose whether or not to import the item data found in the 
 <ul>
-   <li>From here you can choose to always add items regardless of matching stat
+   <li>From here you can choose to always add items regardless of matching stat
 </ul>
 </li>
    <li>Click 'Stage for import'</li>
@@ -37,4 +37,4 @@
 
 <p><strong>See the full documentation for the MARC Import in the <a href="http:
 
-[% INCLUDE 'help-bottom.inc' %]
\ No newline at end of file
+[% INCLUDE 'help-bottom.inc' %]

I didn't edit the INCLUDE declaration

I will send the commit again
Comment 5 Héctor Eduardo Castro Avalos 2015-07-17 19:42:25 UTC Comment hidden (obsolete)
Comment 6 Héctor Eduardo Castro Avalos 2015-07-17 19:48:18 UTC
(In reply to Héctor Eduardo Castro Avalos from comment #5)
> Created attachment 41074 [details] [review] [review]
> Bug 14545 - Typo in help file (stage-marc-import.tt)

Hi, Aleisha

I applied this new patch and works for me.

Regards
Comment 7 Nick Clemens 2015-07-19 01:26:15 UTC Comment hidden (obsolete)
Comment 8 Katrin Fischer 2015-07-23 22:33:14 UTC
Created attachment 41144 [details] [review]
[PASSED QA] Bug 14545 - Typo in help file (stage-marc-import.tt)

Typo found in stage-marc-import.tt file for Koha help in 3.20

Test plan:
1) Go to url 'koha-tmpl/intranet-tmpl/prog/en/modules/help/tools/stage-marc-import.tt:28' and check the typo "precendence" or go to Tools > Stage MARC records for import and open up the help
2) Apply the patch
3) Repeat step 1 and check if the typo is fixed.

Sponsored-by: Universidad de El Salvador
Signed-off-by: Nick Clemens <nick@quecheelibrary.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Tomás Cohen Arazi 2015-07-24 17:09:56 UTC
Patch pushed to master.

¡Gracias Hector!
Comment 10 Chris Cormack 2015-08-05 03:02:36 UTC
Pushed to 3.20.x will be in 3.20.3